/*
 *  Copyright © 2016 Oracle and/or its affiliates. All rights reserved.
 *  This software is dual-licensed to you under the MIT License (MIT) and
 *  the Universal Permissive License (UPL). See the LICENSE file in the root
 *  directory for license terms. You may choose either license, or both.
 */

import Foundation

let serverHostName = ""

let kEnterpriseHeadLine = "Enterprise Client Sample"
let kIotApplication = "IoT Application"
let kLoadUrl = "Load URL"
let kNext = "Next"
let kUrlTextFieldHint = "Insert server URL to be loaded..."
let kAppNameTextFieldHint = "Insert IoT Application name..."
let kDeviceModels = "Device Types"
let kDMHint = "Select the type of devices to monitor"
let kSelectDevice = "Select device to monitor"
let kTemperatureSensor = "Temperature Sensor"
let kHumiditySensor = "Humidity Sensor"
let kTemperature = "Temperature "
let kMinTemperature = "Minimum "
let kMaxTemperature = "Maximum "
let kLastOn = "Last ON: "
let kSystemPower = "System Power"
let kSetTempThresholds = "Threshold Values"
let kTooHot = "Too Hot"
let kTooCold = "Too Cold"
let kReset = "RESET"
let kHumidity = "Humidity: "
let kHumidityThreshold = "Threshold: "
let kSetHumidityThreshold = "Threshold Value (%)"
let kTooHumid = "Too Humid"
let kProvHeadline = "Provisioning Information"
let kProvisionApp = "Provision Application"
let kProvFileLabel = "Provisioning File"
let kProvPasswLabel = "Password"
let kChoose = ">>"
let kDeviceId = "Device ID"
let kCurHValue = "Humidity"
let kCurTValue = "Temperature"
let kCurBeaconValue = "iBeacon"
let kCurEddyValue = "Eddystone"
let kCurRssiValue = "RSSI"
let kManufacturer = "Manufacturer: "
let kModelNumber = "Model Number: "
let kSerialNumber = "Serial Number: "
let kCurrent = "Current"
let kNew = "New Threshold:"
let kNewTemp = "New"
let kMaximum = "Maximum"
let kMinimum = "Minimum"
let kApply = "APPLY"
let kThresholdSettingAlert = "Please enter a number ..."

let kminMinTemp:Float = -20.0
let kmaxMinTemp:Float = 0.0
let kminMaxTemp:Float = 65.0
let kmaxMaxTemp:Float = 80.0
let kminMaxHumidity:Int = 40
let kmaxMaxHumidity:Int = 100
